V1.0
post
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/subject/{subjectId}/lock/allvisit
API locks all visit records for the specified subject, identified by subject ID. This endpoint is used to restrict changes to every visit associated with the given subject.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C439E2B3212345678FAB1123FD342871 -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
18DFFBDF2523489AAF3DE9D6CA60B7F2
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
202 Response
Accpeted- No response body is returned for this operation.
400 Response
Bad_Request
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.